[workspace]
resolver = "2"
members = [
  "private_repos/*",
  "examples/*",
  "harmony",
  "harmony_types",
  "harmony_macros",
  "harmony_tui",
  "opnsense-config",
  "opnsense-config-xml",
  "harmony_cli",
  "k3d",
]

[workspace.package]
version = "0.1.0"
readme = "README.md"
license = "GNU AGPL v3"

[workspace.dependencies]
log = "0.4.22"
env_logger = "0.11.5"
derive-new = "0.7.0"
async-trait = "0.1.82"
tokio = { version = "1.40.0", features = ["io-std", "fs", "macros", "rt-multi-thread"] }
cidr = "0.2.3"
russh = "0.45.0"
russh-keys = "0.45.0"
rand = "0.8.5"
url = "2.5.4"
kube = "0.98.0"
k8s-openapi = { version = "0.24.0", features = ["v1_30"] }
serde_yaml = "0.9.34"
serde-value = "0.7.0"
http = "1.2.0"
inquire = "0.7.5"

[workspace.dependencies.uuid]
version = "1.11.0"
features = [
  "v4",                # Lets you generate random UUIDs
  "fast-rng",          # Use a faster (but still sufficiently random) RNG
  "macro-diagnostics", # Enable better diagnostics for compile-time UUIDs
]
